From: Roland Rosenfeld <roland@debian.org>
Date: Sun, 9 Sep 2007 15:41:54 +0200
Subject: Workaround for zlib.h bug, which requires _LARGEFILE64_SOURCE if
 _FILE_OFFSET_BITS is set to 64 (see #439980) (Closes: #438924)
Bug-Debian: http://bugs.debian.org/438924

--- a/readvmf.c
+++ b/readvmf.c
@@ -28,6 +28,9 @@
 #include <string.h>
 #include <math.h>
 #ifdef ZLIB
+# if _FILE_OFFSET_BITS == 64
+#  undef _FILE_OFFSET_BITS
+# endif
 #include <zlib.h>
 #include <errno.h>
 #endif
